Skip to main content
GET
List agent skills

Authorizations

Authorization
string
header
required

Scopes

read
write

Path Parameters

projectKey
string
required

The project key

Query Parameters

limit
integer

The number of resources to return.

offset
integer

Where to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.

filter
string

A filter to apply to the list.

sort
string

A sort to apply to the list of agent skills. Use usedIn to sort by the number of AgentControl configs that use each skill, fewest first, or -usedIn for most first. Without a sort, skills are ordered by creation date, newest first.

Response

Agent skills list

items
object[]
required

The items on this page

totalCount
integer
required

The total number of items

Example: